Package org.apache.groovy.parser.antlr4

# Class Antlr4ParserPlugin

java.lang.Object
org.apache.groovy.parser.antlr4.Antlr4ParserPlugin

All Implemented Interfaces:
  `ParserPlugin`

public class Antlr4ParserPlugin extends Object implements ParserPlugin
A parser plugin for the new parser.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Antlr4ParserPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ModuleNode`
  `buildAST(SourceUnit sourceUnit, ClassLoader classLoader, Reduction cst)`
  `Reduction`
  `parseCST(SourceUnit sourceUnit, Reader reader)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Antlr4ParserPlugin

    public Antlr4ParserPlugin()

- ## Method Details

  - ### parseCST

    public Reduction parseCST(SourceUnit sourceUnit, Reader reader)
    Specified by:
      `parseCST` in interface `ParserPlugin`

  - ### buildAST

    public ModuleNode buildAST(SourceUnit sourceUnit, ClassLoader classLoader, Reduction cst)
    Specified by:
      `buildAST` in interface `ParserPlugin`